TaskDescription
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs
Class TaskDescription

    java.lang.Object
      org.gcube.vremanagement.executor.stubs.TaskDescription

All Implemented Interfaces:
  java.io.Serializable

    public class TaskDescription

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TaskDescription()`
`TaskDescription(java.lang.String description, java.lang.String name, org.gcube.common.core.types.DescriptiveProperty[] property, org.gcube.common.core.types.DescriptiveProperty[] sampleInput, org.gcube.common.core.types.DescriptiveProperty[] sampleOutput)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDescription()` Gets the description value for this TaskDescription.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getName()` Gets the name value for this TaskDescription.
`org.gcube.common.core.types.DescriptiveProperty[]` | `getProperty()` Gets the property value for this TaskDescription.
`org.gcube.common.core.types.DescriptiveProperty` | `getProperty(int i)`
`org.gcube.common.core.types.DescriptiveProperty[]` | `getSampleInput()` Gets the sampleInput value for this TaskDescription.
`org.gcube.common.core.types.DescriptiveProperty` | `getSampleInput(int i)`
`org.gcube.common.core.types.DescriptiveProperty[]` | `getSampleOutput()` Gets the sampleOutput value for this TaskDescription.
`org.gcube.common.core.types.DescriptiveProperty` | `getSampleOutput(int i)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setDescription(java.lang.String description)` Sets the description value for this TaskDescription.
`void` | `setName(java.lang.String name)` Sets the name value for this TaskDescription.
`void` | `setProperty(int i, org.gcube.common.core.types.DescriptiveProperty _value)`
`void` | `setProperty(org.gcube.common.core.types.DescriptiveProperty[] property)` Sets the property value for this TaskDescription.
`void` | `setSampleInput(int i, org.gcube.common.core.types.DescriptiveProperty _value)`
`void` | `setSampleInput(org.gcube.common.core.types.DescriptiveProperty[] sampleInput)` Sets the sampleInput value for this TaskDescription.
`void` | `setSampleOutput(int i, org.gcube.common.core.types.DescriptiveProperty _value)`
`void` | `setSampleOutput(org.gcube.common.core.types.DescriptiveProperty[] sampleOutput)` Sets the sampleOutput value for this TaskDescription.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskDescription

    public TaskDescription()

### TaskDescription

    public TaskDescription(java.lang.String description,
                           java.lang.String name,
                           org.gcube.common.core.types.DescriptiveProperty[] property,
                           org.gcube.common.core.types.DescriptiveProperty[] sampleInput,
                           org.gcube.common.core.types.DescriptiveProperty[] sampleOutput)

Method Detail

### getName

    public java.lang.String getName()

  Gets the name value for this TaskDescription.

  Returns:
    name

### setName

    public void setName(java.lang.String name)

  Sets the name value for this TaskDescription.

  Parameters:
    `name` -

### getDescription

    public java.lang.String getDescription()

  Gets the description value for this TaskDescription.

  Returns:
    description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description value for this TaskDescription.

  Parameters:
    `description` -

### getProperty

    public org.gcube.common.core.types.DescriptiveProperty[] getProperty()

  Gets the property value for this TaskDescription.

  Returns:
    property

### setProperty

    public void setProperty(org.gcube.common.core.types.DescriptiveProperty[] property)

  Sets the property value for this TaskDescription.

  Parameters:
    `property` -

### getProperty

    public org.gcube.common.core.types.DescriptiveProperty getProperty(int i)

### setProperty

    public void setProperty(int i,
                            org.gcube.common.core.types.DescriptiveProperty _value)

### getSampleInput

    public org.gcube.common.core.types.DescriptiveProperty[] getSampleInput()

  Gets the sampleInput value for this TaskDescription.

  Returns:
    sampleInput

### setSampleInput

    public void setSampleInput(org.gcube.common.core.types.DescriptiveProperty[] sampleInput)

  Sets the sampleInput value for this TaskDescription.

  Parameters:
    `sampleInput` -

### getSampleInput

    public org.gcube.common.core.types.DescriptiveProperty getSampleInput(int i)

### setSampleInput

    public void setSampleInput(int i,
                               org.gcube.common.core.types.DescriptiveProperty _value)

### getSampleOutput

    public org.gcube.common.core.types.DescriptiveProperty[] getSampleOutput()

  Gets the sampleOutput value for this TaskDescription.

  Returns:
    sampleOutput

### setSampleOutput

    public void setSampleOutput(org.gcube.common.core.types.DescriptiveProperty[] sampleOutput)

  Sets the sampleOutput value for this TaskDescription.

  Parameters:
    `sampleOutput` -

### getSampleOutput

    public org.gcube.common.core.types.DescriptiveProperty getSampleOutput(int i)

### setSampleOutput

    public void setSampleOutput(int i,
                                org.gcube.common.core.types.DescriptiveProperty _value)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD